<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/mdc_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>02/08/84  mdc_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>The mdc_ subroutine <span class="textRainbow_lv0_p0">(</span>actually a ring 1 gate<span class="textRainbow_lv0_p0">)</span> provides a series of entry
<span id="L4" class="LineNr">  4 </span>points for manipulation of master directories.
<span id="L5" class="LineNr">  5 </span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>Entry points in mdc_:
<span id="L8" class="LineNr">  8 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>:Entry:  create_dir:  02/08/84 mdc_$create_dir
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Function:  This entry point is used to create a new master directory.
<span id="L15" class="LineNr"> 15 </span>Its arguments are roughly analogous to the hcs_$append_branchx entry
<span id="L16" class="LineNr"> 16 </span>point.
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>Syntax:
<span id="L20" class="LineNr"> 20 </span>declare mdc_$create_dir entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>5<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L21" class="LineNr"> 21 </span>     <span class="textRainbow_lv1_p0">(</span>3<span class="textRainbow_lv1_p0">)</span> fixed bin<span class="textRainbow_lv1_p0">(</span>3<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr"> 22 </span>call mdc_$create_dir <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> volume<span class="textRainbow_lv0_o0">,</span> mode<span class="textRainbow_lv0_o0">,</span> rings<span class="textRainbow_lv0_o0">,</span>
<span id="L23" class="LineNr"> 23 </span>     user_id<span class="textRainbow_lv0_o0">,</span> quota<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>Arguments:
<span id="L27" class="LineNr"> 27 </span>dir_name
<span id="L28" class="LineNr"> 28 </span>   is the pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr"> 29 </span>entryname
<span id="L30" class="LineNr"> 30 </span>   is the entryname of the subdirectory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr"> 31 </span>volume
<span id="L32" class="LineNr"> 32 </span>   is the name of the logical volume that is to contain segments
<span id="L33" class="LineNr"> 33 </span>   created in the new directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr"> 34 </span>mode
<span id="L35" class="LineNr"> 35 </span>   is the user's access mode.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L36" class="LineNr"> 36 </span>rings
<span id="L37" class="LineNr"> 37 </span>   are the ring brackets of the directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> Only the first
<span id="L38" class="LineNr"> 38 </span>   values are used.
<span id="L39" class="LineNr"> 39 </span>
<span id="L40" class="LineNr"> 40 </span>
<span id="L41" class="LineNr"> 41 </span>user_id
<span id="L42" class="LineNr"> 42 </span>   is an access control name.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L43" class="LineNr"> 43 </span>quota
<span id="L44" class="LineNr"> 44 </span>   is the quota to be placed on the new directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr"> 45 </span>code
<span id="L46" class="LineNr"> 46 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>
<span id="L49" class="LineNr"> 49 </span>:Entry:  create_dirx:  02/08/84 mdc_$create_dirx
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>Function:  This entry point is an extension of the mdc_$create_dir
<span id="L53" class="LineNr"> 53 </span>entry point, which is similiar to hcs_$create_branch_ entry point.
<span id="L54" class="LineNr"> 54 </span>
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>Syntax:
<span id="L57" class="LineNr"> 57 </span>declare mdc_$create_dirx entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L58" class="LineNr"> 58 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L59" class="LineNr"> 59 </span>call mdc_$create_dirx <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> volume<span class="textRainbow_lv0_o0">,</span> info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L60" class="LineNr"> 60 </span>
<span id="L61" class="LineNr"> 61 </span>
<span id="L62" class="LineNr"> 62 </span>Arguments:
<span id="L63" class="LineNr"> 63 </span>dir_name
<span id="L64" class="LineNr"> 64 </span>   is the pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L65" class="LineNr"> 65 </span>entryname
<span id="L66" class="LineNr"> 66 </span>   is the entryname of the subdirectory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L67" class="LineNr"> 67 </span>volume
<span id="L68" class="LineNr"> 68 </span>   is the name of the logical volume that is to contain segments
<span id="L69" class="LineNr"> 69 </span>   created in the new directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L70" class="LineNr"> 70 </span>info_ptr
<span id="L71" class="LineNr"> 71 </span>   is a pointer to the create_branch_info structure as described under
<span id="L72" class="LineNr"> 72 </span>   the hcs_$create_branch_ entry point.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>
<span id="L75" class="LineNr"> 75 </span>:Entry:  delete_dir:  02/08/84 mdc_$delete_dir
<span id="L76" class="LineNr"> 76 </span>
<span id="L77" class="LineNr"> 77 </span>
<span id="L78" class="LineNr"> 78 </span>Function:  This entry point is used to delete a master directory.
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>Syntax:
<span id="L82" class="LineNr"> 82 </span>declare mdc_$delete_dir entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L83" class="LineNr"> 83 </span>call mdc_$delete_dir <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L84" class="LineNr"> 84 </span>
<span id="L85" class="LineNr"> 85 </span>
<span id="L86" class="LineNr"> 86 </span>Arguments:
<span id="L87" class="LineNr"> 87 </span>dir_name
<span id="L88" class="LineNr"> 88 </span>   is the pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L89" class="LineNr"> 89 </span>entryname
<span id="L90" class="LineNr"> 90 </span>   is the entryname of the subdirectory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L91" class="LineNr"> 91 </span>code
<span id="L92" class="LineNr"> 92 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L93" class="LineNr"> 93 </span>
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>:Entry:  pvname_info:  02/08/84 mdc_$pvname_info
<span id="L96" class="LineNr"> 96 </span>
<span id="L97" class="LineNr"> 97 </span>
<span id="L98" class="LineNr"> 98 </span>Function:  This entry point gets various kinds of information about a
<span id="L99" class="LineNr"> 99 </span>specified storage-system physical volume.
<span id="L100" class="LineNr">100 </span>
<span id="L101" class="LineNr">101 </span>
<span id="L102" class="LineNr">102 </span>Syntax:
<span id="L103" class="LineNr">103 </span>declare mdc_$pvname_info entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L104" class="LineNr">104 </span>     bit <span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L105" class="LineNr">105 </span>call mdc_$pvname_info <span class="textRainbow_lv0_p0">(</span>pvname<span class="textRainbow_lv0_o0">,</span> pvid<span class="textRainbow_lv0_o0">,</span> lvname<span class="textRainbow_lv0_o0">,</span> lvid<span class="textRainbow_lv0_o0">,</span> device_type<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>Arguments:
<span id="L109" class="LineNr">109 </span>pvname
<span id="L110" class="LineNr">110 </span>   is the name of the physical volume about which information is to be
<span id="L111" class="LineNr">111 </span>   returned.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L112" class="LineNr">112 </span>pvid
<span id="L113" class="LineNr">113 </span>   is the physical volume id of the specified volume.  It can be used
<span id="L114" class="LineNr">114 </span>   as a parameter to ring-zero volume and partition interfaces.
<span id="L115" class="LineNr">115 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L116" class="LineNr">116 </span>lvname
<span id="L117" class="LineNr">117 </span>   is the name of the logical volume to which the physical volume
<span id="L118" class="LineNr">118 </span>   belongs.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L119" class="LineNr">119 </span>lvid
<span id="L120" class="LineNr">120 </span>   is the logical volume id of the logical volume to which the physical
<span id="L121" class="LineNr">121 </span>   volume belongs.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span>device_type
<span id="L125" class="LineNr">125 </span>   is a number indicating what type of device the specified physical
<span id="L126" class="LineNr">126 </span>   volume is mounted on.  The names and characteristics of these
<span id="L127" class="LineNr">127 </span>   devices are listed in various arrays declared in the include file
<span id="L128" class="LineNr">128 </span>   fs_dev_types.incl.pl1.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L129" class="LineNr">129 </span>code
<span id="L130" class="LineNr">130 </span>   is a standard system-status code.  It is nonzero if the information
<span id="L131" class="LineNr">131 </span>   about the volume cannot be obtained or if the volume does not exist.
<span id="L132" class="LineNr">132 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L133" class="LineNr">133 </span>
<span id="L134" class="LineNr">134 </span>
<span id="L135" class="LineNr">135 </span>:Entry:  set_mdir_account:  02/08/84 mdc_$set_mdir_account
<span id="L136" class="LineNr">136 </span>
<span id="L137" class="LineNr">137 </span>
<span id="L138" class="LineNr">138 </span>Function:  This entry point is used to set the quota account of a
<span id="L139" class="LineNr">139 </span>master directory.
<span id="L140" class="LineNr">140 </span>
<span id="L141" class="LineNr">141 </span>
<span id="L142" class="LineNr">142 </span>Syntax:
<span id="L143" class="LineNr">143 </span>declare mdc_$set_mdir_account entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L144" class="LineNr">144 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L145" class="LineNr">145 </span>call mdc_$set_mdir_account <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> account<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L146" class="LineNr">146 </span>
<span id="L147" class="LineNr">147 </span>
<span id="L148" class="LineNr">148 </span>Arguments:
<span id="L149" class="LineNr">149 </span>dir_name
<span id="L150" class="LineNr">150 </span>   is the pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L151" class="LineNr">151 </span>entryname
<span id="L152" class="LineNr">152 </span>   is the entryname of the subdirectory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L153" class="LineNr">153 </span>account
<span id="L154" class="LineNr">154 </span>   is the name of the new quota account.  The directory quota is
<span id="L155" class="LineNr">155 </span>   returned to the old account and redrawn from this new account.
<span id="L156" class="LineNr">156 </span>code
<span id="L157" class="LineNr">157 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>
<span id="L160" class="LineNr">160 </span>:Entry:  set_mdir_owner:  02/08/84 mdc_$set_mdir_owner
<span id="L161" class="LineNr">161 </span>
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>Function:  This entry point is used to set the owner name of a master
<span id="L164" class="LineNr">164 </span>directory.
<span id="L165" class="LineNr">165 </span>
<span id="L166" class="LineNr">166 </span>
<span id="L167" class="LineNr">167 </span>Syntax:
<span id="L168" class="LineNr">168 </span>declare mdc_$set_mdir_owner entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L169" class="LineNr">169 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L170" class="LineNr">170 </span>call mdc_$set_mdir_owner <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> owner<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L171" class="LineNr">171 </span>
<span id="L172" class="LineNr">172 </span>
<span id="L173" class="LineNr">173 </span>Arguments:
<span id="L174" class="LineNr">174 </span>dir_name
<span id="L175" class="LineNr">175 </span>   is the pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L176" class="LineNr">176 </span>entryname
<span id="L177" class="LineNr">177 </span>   is the entryname of the subdirectory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L178" class="LineNr">178 </span>owner
<span id="L179" class="LineNr">179 </span>   is the new owner name of the master directory, in the form
<span id="L180" class="LineNr">180 </span>   Person_id.Project_id.tag.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L181" class="LineNr">181 </span>code
<span id="L182" class="LineNr">182 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L183" class="LineNr">183 </span>
<span id="L184" class="LineNr">184 </span>
<span id="L185" class="LineNr">185 </span>:Entry:  set_mdir_quota:  02/08/84 mdc_$set_mdir_quota
<span id="L186" class="LineNr">186 </span>
<span id="L187" class="LineNr">187 </span>
<span id="L188" class="LineNr">188 </span>Function:  This entry point is used to set the quota on a master
<span id="L189" class="LineNr">189 </span>directory.
<span id="L190" class="LineNr">190 </span>
<span id="L191" class="LineNr">191 </span>
<span id="L192" class="LineNr">192 </span>Syntax:
<span id="L193" class="LineNr">193 </span>declare mdc_$set_mdir_quota entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span>
<span id="L194" class="LineNr">194 </span>     fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L195" class="LineNr">195 </span>call mdc_$set_mdir_quota <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> sw<span class="textRainbow_lv0_o0">,</span> quota<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L196" class="LineNr">196 </span>
<span id="L197" class="LineNr">197 </span>
<span id="L198" class="LineNr">198 </span>Arguments:
<span id="L199" class="LineNr">199 </span>dir_name
<span id="L200" class="LineNr">200 </span>   is the pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L201" class="LineNr">201 </span>entryname
<span id="L202" class="LineNr">202 </span>   is the entryname of the subdirectory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L203" class="LineNr">203 </span>sw
<span id="L204" class="LineNr">204 </span>   is a switch indicating the kind of quota change.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L205" class="LineNr">205 </span>   &quot;0&quot;b sets the directory quota to the quota parameter.
<span id="L206" class="LineNr">206 </span>   &quot;1&quot;b algebraically adds the quota parameter to the current directory
<span id="L207" class="LineNr">207 </span>        quota.
<span id="L208" class="LineNr">208 </span>quota
<span id="L209" class="LineNr">209 </span>   is the quota to be placed on the new directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L210" class="LineNr">210 </span>code
<span id="L211" class="LineNr">211 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L212" class="LineNr">212 </span>
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>:Entry:  set_volume_quota:  02/08/84 mdc_$set_volume_quota
<span id="L215" class="LineNr">215 </span>
<span id="L216" class="LineNr">216 </span>
<span id="L217" class="LineNr">217 </span>Function:  This entry point is used to set the volume quota for a quota
<span id="L218" class="LineNr">218 </span>account on a logical volume.
<span id="L219" class="LineNr">219 </span>
<span id="L220" class="LineNr">220 </span>
<span id="L221" class="LineNr">221 </span>Syntax:
<span id="L222" class="LineNr">222 </span>declare mdc_$set_volume_quota entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span>
<span id="L223" class="LineNr">223 </span>     fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L224" class="LineNr">224 </span>call mdc_$set_volume_quota <span class="textRainbow_lv0_p0">(</span>volume<span class="textRainbow_lv0_o0">,</span> account<span class="textRainbow_lv0_o0">,</span> sw<span class="textRainbow_lv0_o0">,</span> quota<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L225" class="LineNr">225 </span>
<span id="L226" class="LineNr">226 </span>
<span id="L227" class="LineNr">227 </span>Arguments:
<span id="L228" class="LineNr">228 </span>volume
<span id="L229" class="LineNr">229 </span>   is the name of the logical volume that is to contain segments
<span id="L230" class="LineNr">230 </span>   created in the new directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L231" class="LineNr">231 </span>account
<span id="L232" class="LineNr">232 </span>   is the name of the quota account in the form
<span id="L233" class="LineNr">233 </span>   Person_id.Project_id.tag.  The quota account name may contain stars.
<span id="L234" class="LineNr">234 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L235" class="LineNr">235 </span>sw
<span id="L236" class="LineNr">236 </span>   is a switch indicating the kind of quota change.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L237" class="LineNr">237 </span>   &quot;0&quot;b sets the directory quota to the quota parameter.
<span id="L238" class="LineNr">238 </span>   &quot;1&quot;b algebraically adds the quota parameter to the current directory
<span id="L239" class="LineNr">239 </span>        quota.
<span id="L240" class="LineNr">240 </span>
<span id="L241" class="LineNr">241 </span>
<span id="L242" class="LineNr">242 </span>quota
<span id="L243" class="LineNr">243 </span>   is the quota to be placed on the new directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L244" class="LineNr">244 </span>code
<span id="L245" class="LineNr">245 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
